"""
API 客户端模块，处理与百度文心一言API的交互
"""
import os
import requests
import json
from typing import List, Dict, Any

class APIClient:
    def __init__(self):
        self.api_key = os.getenv('BAIDU_API_KEY', 'yYLPWex4ioszMAhtmCZCMOdZ')
        self.secret_key = os.getenv('BAIDU_SECRET_KEY', 'gNjLwZdgIi0vobu34h7aNS1WDdEF4q26')
        self.access_token = None

    def get_access_token(self) -> str:
        """获取access token"""
        url = "https://aip.baidubce.com/oauth/2.0/token"
        params = {
            "grant_type": "client_credentials",
            "client_id": self.api_key,
            "client_secret": self.secret_key
        }
        response = requests.post(url, params=params)
        return response.json().get("access_token")

    def chat_completion(self, messages: List[Dict[str, str]]) -> Dict[str, Any]:
        """调用对话接口"""
        if not self.access_token:
            self.access_token = self.get_access_token()

        url = f"https://aip.baidubce.com/rpc/2.0/ai_custom/v1/wenxinworkshop/chat/yi_34b_chat?access_token={self.access_token}"
        
        payload = json.dumps({
            "messages": messages,
            "temperature": 0.7,
            "top_p": 0.9
        })
        headers = {'Content-Type': 'application/json'}
        
        response = requests.post(url, headers=headers, data=payload)
        return response.json()
