import requests
import json

def get_access_token():
    """
    获取百度千帆API的access token
    """
    url = "https://aip.baidubce.com/oauth/2.0/token"
    params = {
        "grant_type": "client_credentials",
        "client_id": "yYLPWex4ioszMAhtmCZCMOdZ",
        "client_secret": "gNjLwZdgIi0vobu34h7aNS1WDdEF4q26"
    }
    
    response = requests.post(url, params=params)
    return response.json()

def test_chat_completion(access_token):
    """
    测试千帆API的对话功能
    """
    url = f"https://aip.baidubce.com/rpc/2.0/ai_custom/v1/wenxinworkshop/chat/yi_34b_chat?access_token={access_token}"
    
    payload = json.dumps({
        "messages": [
            {
                "role": "user",
                "content": "你好，请介绍一下你自己"
            }
        ]
    })
    headers = {
        'Content-Type': 'application/json'
    }
    
    response = requests.post(url, headers=headers, data=payload)
    return response.json()

def main():
    # 1. 获取access token
    print("正在获取access token...")
    token_response = get_access_token()
    print("Token响应:", json.dumps(token_response, ensure_ascii=False, indent=2))
    
    if 'access_token' in token_response:
        access_token = token_response['access_token']
        print("\n获取access token成功!")
        
        # 2. 测试对话功能
        print("\n正在测试对话功能...")
        chat_response = test_chat_completion(access_token)
        print("对话响应:", json.dumps(chat_response, ensure_ascii=False, indent=2))
    else:
        print("获取access token失败!")
        print("错误信息:", token_response)

if __name__ == '__main__':
    main()
