import unittest
from src.command_analyzer import CommandAnalyzer

class TestCommandParsing(unittest.TestCase):
    def setUp(self):
        self.analyzer = CommandAnalyzer()

    def test_command_analysis(self):
        command = "dir"
        returncode = 0
        stdout = "Directory listing..."
        stderr = ""
        
        result = self.analyzer.analyze(command, returncode, stdout, stderr)
        self.assertTrue(result.success)
        self.assertEqual(result.output, stdout)
        self.assertEqual(result.error, stderr)
        self.assertIn('command_type', result.analysis)

    def test_error_analysis(self):
        command = "invalid_command"
        returncode = 1
        stdout = ""
        stderr = "'invalid_command' is not recognized as an internal or external command"
        
        result = self.analyzer.analyze(command, returncode, stdout, stderr)
        self.assertFalse(result.success)
        self.assertIn('error_type', result.analysis)

if __name__ == '__main__':
    unittest.main()
