import unittest
from src.utils import execute_command

class TestErrorHandling(unittest.TestCase):
    def test_valid_command(self):
        returncode, stdout, stderr = execute_command("echo test")
        self.assertEqual(returncode, 0)
        self.assertIn("test", stdout)
        self.assertEqual(stderr, "")

    def test_invalid_command(self):
        returncode, stdout, stderr = execute_command("invalid_command")
        self.assertNotEqual(returncode, 0)
        self.assertTrue(stderr)

if __name__ == '__main__':
    unittest.main()
