import unittest
from unittest.mock import patch, MagicMock
from src.api_client import APIClient

class TestIntegration(unittest.TestCase):
    def setUp(self):
        self.api_client = APIClient()

    @patch('requests.post')
    def test_api_integration(self, mock_post):
        # 模拟API响应
        mock_response = MagicMock()
        mock_response.json.return_value = {"result": "test response"}
        mock_post.return_value = mock_response

        # 测试聊天完成功能
        messages = [{"role": "user", "content": "test message"}]
        response = self.api_client.chat_completion(messages)
        self.assertEqual(response["result"], "test response")

if __name__ == '__main__':
    unittest.main()
