import unittest
from src.utils import is_safe_command

class TestSecurityChecks(unittest.TestCase):
    def test_safe_commands(self):
        self.assertTrue(is_safe_command("dir"))
        self.assertTrue(is_safe_command("echo hello"))
        self.assertTrue(is_safe_command("type file.txt"))

    def test_unsafe_commands(self):
        self.assertFalse(is_safe_command("rm -rf /"))
        self.assertFalse(is_safe_command("format c:"))
        self.assertFalse(is_safe_command("del /f file.txt"))
        self.assertFalse(is_safe_command("echo hello > file.txt"))

if __name__ == '__main__':
    unittest.main()
